Skip to main content
POST
/
tokenization
/
collections
/
{id}
/
tokens
/
burn
TypeScript
const response: Promise<FireblocksResponse<CollectionBurnResponseDto>> = fireblocks.tokenization.burnCollectionToken(tokenizationApiBurnCollectionTokenRequest);
{
  "txId": "fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

id
string
required

The collection link id

Body

application/json
vaultAccountId
string
required

The id of the vault account that initiates the burn function

Example:

"0"

tokenId
string
required

The token id

Example:

"1"

amount
string

For ERC721, amount is optional or should always be 1 and for ERC1155, amount should be 1 or greater

Example:

"1"

externalId
string

External id that can be used to identify the transaction in your system. The unique identifier of the transaction outside of Fireblocks with max length of 255 characters

Example:

"0192e4f5-924e-7bb9-8e5b-c748270feb38"

Response

Tokens burned successfully

txId
string
required

Transaction Id for the burn operation

Example:

"fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb"